> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Most-cited pages



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/brands/{brand_id}/citations/pages
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/citations/pages:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Citations
      summary: Most-cited pages
      operationId: list_brand_citations_pages
      parameters:
        - name: page
          in: query
          required: false
          description: Page number (default 1).
          schema:
            type: integer
        - name: page_size
          in: query
          required: false
          description: Items per page (default 25, max 100).
          schema:
            type: integer
        - name: sort
          in: query
          required: false
          description: >-
            Comma-separated sort keys, `-` prefix for descending. Keys:
            total_citation_count, citation_count, total_citation_percent,
            brand_citation_count, brand_citation_percent, page, domain,
            page_type. Default: -citation_count, domain, page.
          schema:
            type: string
        - name: filter[query]
          in: query
          required: false
          description: Free-text (ILIKE) match against the page URL or its domain.
          schema:
            type: string
        - name: filter[domains]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
          description: Restrict to citations on these exact citation domains.
        - name: filter[page_types]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - homepage
                - article
                - discussion
                - social
                - product_page
                - review
                - comparison
                - alternative
                - listicle
                - how_to_guide
                - category_page
                - documentation
                - pricing
                - about
                - case_study
                - features
                - resource
                - contact
                - careers
                - other
          description: >-
            Match any of these page_type values (article, documentation,
            homepage, ...).
        - name: filter[citation_types]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - editorial
                - review
                - institutional
                - social
                - commerce
                - documentation
                - reference
                - saas
                - legal
                - health
                - finance
                - research
                - app_store
                - directory
                - corporate
                - search_engine
                - other
                - owned
                - earned
                - competitor_owned
                - competitor_earned
          description: >-
            Static domain types (editorial, review, saas, ...) and/or dynamic
            ownership types (owned, earned, competitor_owned,
            competitor_earned).
        - name: filter[channel]
          in: query
          required: false
          description: >-
            Restrict to citations from this YouTube channel (matched by video
            author).
          schema:
            type: string
        - name: filter[subreddit]
          in: query
          required: false
          description: Restrict to citations from this subreddit.
          schema:
            type: string
        - name: filter[prompt_id]
          in: query
          required: false
          description: >-
            Restrict to citations from a single prompt (AND-combines with
            filter[topic_ids]).
          schema:
            type: string
            format: uuid
        - name: filter[prompt_regions]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          style: form
          explode: true
          description: >-
            Restrict to specific (prompt, region) pairs — each item
            "promptId,regionId". Replaces the legacy per-prompt/region
            cited-pages export.
        - name: filter[ran_at_start]
          in: query
          required: false
          description: >-
            Start of the ran_at window (ISO8601 date or datetime). Defaults to
            30 days ago.
          schema:
            type: string
            format: date-time
        - name: filter[ran_at_end]
          in: query
          required: false
          description: >-
            End of the ran_at window (ISO8601 date or datetime). Defaults to end
            of today.
          schema:
            type: string
            format: date-time
        - name: filter[target_brand]
          in: query
          required: false
          description: >-
            Brand name whose citations count toward brand_citation_count /
            target_brand_mentioned. Defaults to the workspace brand's name
            (downcased).
          schema:
            type: string
        - name: filter[topic_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: >-
            Restrict to citations from prompts belonging to these topics (topic
            ids are resolved to prompt ids).
        - name: filter[brand_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: >-
            Restrict to citations attributed to these brand-mapping ids
            (found_brand_id). When omitted, all citations for the brand are
            returned and target counts are computed from filter[target_brand].
        - name: filter[provider_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: Restrict to citations from prompt runs on these providers.
        - name: filter[region_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: Restrict to citations from prompt runs in these regions.
      responses:
        '200':
          description: cited pages
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/citation_domain'
                  meta:
                    $ref: '#/components/schemas/pagination_meta'
                required:
                  - data
                  - meta
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    citation_domain:
      type: object
      properties:
        domain:
          type: string
        page:
          type: string
          nullable: true
        page_type:
          type: string
          nullable: true
        domain_type:
          type: string
          nullable: true
        citation_types:
          type: array
          items:
            type: string
        page_count:
          type: integer
        total_citation_count:
          type: integer
        total_citation_percent:
          type: number
        brand_citation_count:
          type: integer
        brand_citation_percent:
          type: number
        target_brand_mentioned:
          type: boolean
        mentioned_brands:
          type: array
          items:
            type: string
      required:
        - domain
        - citation_types
        - page_count
        - total_citation_count
        - total_citation_percent
        - brand_citation_count
        - brand_citation_percent
        - target_brand_mentioned
        - mentioned_brands
    pagination_meta:
      type: object
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total_items:
          type: integer
        total_pages:
          type: integer
        counts:
          type: object
          additionalProperties:
            type: integer
      required:
        - page
        - page_size
        - total_items
        - total_pages
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````